from bge import logic
from bge import events

from math import *	
from mathutils import *

def Enemy():

	cont = logic.getCurrentController()
	sce = logic.getCurrentScene()
	obj = cont.owner
	
	bulletcol = cont.sensors['BulletCol']
	
	player = sce.objects['Player']
	
	def Init():
	
		if not 'init' in obj:
		
			obj['init'] = 1
			obj['hp'] = 1					
			obj['target'] = player			
			
			obj['movespd'] = 0.15
	
	def Update():
	
		if bulletcol.positive:
			obj['hp'] -= 1					
			bullet = bulletcol.hitObject	
			bullet.endObject()				
			
		tp = obj['target'].position
		op = obj.position
		
		a = atan2(op.y - tp.y, op.x - tp.x)	+ (pi * 0.5)	
		
		o = Euler([0, 0, a])								
		obj.worldOrientation = o							
		
		obj.applyMovement([0, obj['movespd'], 0], 1)				
		if obj['hp'] <= 0:					
			obj.endObject()					
			
	Init()
	Update()
	
